Atom feed of this document
 
 
 

 4.18.3. Modify Metadata

Verb URI Description
PUT /loadbalancers/loadBalancerId/metadata/metaId Modify the configuration of a metadata item on the load balancer.
PUT /loadbalancers/loadBalancerId/nodes/nodeId/metadata/metaId Modify the configuration of a metadata item on the node.

Normal Response Code(s): 200

Error Response Code(s): loadbalancerFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), overLimit (413)

[Note]Note

The meta data item's id and key are immutable attributes and cannot be modified with a PUT request. Supplying an unsupported attribute will result in a 400 (badRequest) fault. A load balancer and a node supports a maximum of 25 metadata items.

The following table lists the required and optional attributes for Modify Metadata:

Table 4.24. Required and Optional Attributes for Modify Metadata
Name Description Required
value

Value for the metadata item. Must be 256 characters or less. All UTF-8 characters are valid. Refer to http://www.utf8-chartable.de/ for information about the UTF-8 character set.

Yes
 

Example 4.109. Update Metadata Value Request: XML

<meta xmlns="http://docs.openstack.org/loadbalancers/api/v1.0">blue</meta>

                    

 

Example 4.110. Update Metadata Value Request: JSON

{
  "meta": {
    "value":"blue"
  }
}

                    



loading table of contents...